.\" Man page generated from reStructuredText.
.
.TH "CTL_MBOXLIST" "8" "August 10, 2018" "3.0.8" "Cyrus IMAP"
.SH NAME
ctl_mboxlist \- Cyrus IMAP documentation
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.sp
Perform operations on the mailbox list database
.SH SYNOPSIS
.sp
.nf
\fBctl_mboxlist\fP [ \fB\-C\fP \fIconfig\-file\fP ] \fB\-d\fP [ \fB\-x\fP ] [ \fB\-p\fP \fIpartition\fP ] [ \fB\-f\fP \fIfilename\fP ]
\fBctl_mboxlist\fP [ \fB\-C\fP \fIconfig\-file\fP ] \fB\-u\fP [ \fB\-f\fP \fIfilename\fP ]
\fBctl_mboxlist\fP [ \fB\-C\fP \fIconfig\-file\fP ] \fB\-m\fP [ \fB\-a\fP ] [ \fB\-w\fP ] [ \fB\-i\fP ] [ \fB\-f\fP \fIfilename\fP ]
\fBctl_mboxlist\fP [ \fB\-C\fP \fIconfig\-file\fP ] \fB\-v\fP [ \fB\-f\fP \fIfilename\fP ]
.fi
.SH DESCRIPTION
.sp
\fBctl_mboxlist\fP is used to perform various administrative operations on
the mailbox list database.
.sp
\fBctl_mboxlist\fP reads its configuration options out of the imapd.conf(5) file unless specified otherwise by \fB\-C\fP\&.
The \fIconfigdirectory\fP option in imapd.conf(5) is used to determine the default location of the mailboxes database.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-C config\-file
Use the specified configuration file \fIconfig\-file\fP rather than the default imapd.conf(5)\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-d
Dump the contents of the database to standard output in a portable
flat\-text format.  NOTE: In Cyrus versions 2.2.13 and earlier, the
dump format did not include the mailbox type flags, breaking remote
mailboxes (frontends, mupdate master, unified backends) when
undumped.
.UNINDENT
.INDENT 0.0
.TP
.B \-x
When performing a dump, remove the mailboxes dumped from the mailbox
list (mostly useful when specified with \fB\-p\fP).
.UNINDENT
.INDENT 0.0
.TP
.B \-p partition
When performing a dump, dump only thise mailboxes that live on
\fIpartition\fP\&.
.UNINDENT
.INDENT 0.0
.TP
.B \-f filename
Use the database specified by \fIfilename\fP instead of the default
(\fIconfigdirectory/mailboxes.db*\fP).
.UNINDENT
.INDENT 0.0
.TP
.B \-u
Load the contents of the database from standard input.  The input
MUST be in the format output by the \fB\-d\fP option.
.UNINDENT
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
Both the old and new formats can be loaded, but the old format will
break remote mailboxes.
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-m
For backend servers in the Cyrus Murder, synchronize the local
mailbox list file with the MUPDATE server.
.UNINDENT
.INDENT 0.0
.TP
.B \-a
When used with \fB\-m\fP, assume the local mailboxes file is authoritiative,
that is, only change the mupdate server, do not delete any local
mailboxes.
.UNINDENT
.sp
\fBIMPORTANT:\fP
.INDENT 0.0
.INDENT 3.5
USE THIS OPTION WITH CARE, as it allows namespace collisions into
the murder.
.UNINDENT
.UNINDENT
.INDENT 0.0
.TP
.B \-w
When used with \fB\-m\fP, print out what would be done but do not perform
the operations.
.UNINDENT
.INDENT 0.0
.TP
.B \-i
When used with \fB\-m\fP, asks for verification before deleting local
mailboxes.
.UNINDENT
.INDENT 0.0
.TP
.B \-v
Verify the consistency of the mailbox list database and the spool
partition(s). Mailboxes present in the database and not located on a
spool partition, and those located on a spool partition (directory
containing a valid cyrus.header file) and not present in the database
will be reported.  Note that this function is very I/O intensive.
.UNINDENT
.SH EXAMPLES
.sp
.nf
\fBctl_mboxlist \-d\fP
.fi
.INDENT 0.0
.INDENT 3.5
Dump the mailboxes list in portable text format.
.UNINDENT
.UNINDENT
.sp
.nf
\fBctl_mboxlist \-u\fP < \fInewmboxlist.dump\fP
.fi
.INDENT 0.0
.INDENT 3.5
Undump (restore) the mailboxes database from \fInewmboxlist.dump\fP,
a portable text formatted file.
.UNINDENT
.UNINDENT
.sp
.nf
\fBctl_mboxlist \-m\fP
.fi
.INDENT 0.0
.INDENT 3.5
Synchronize our mailboxes database with the MUPDATE server.  (One may
commonly put a command like this into the \fBSTART\fP section of
cyrus.conf(5) on backend nodes of a Murder cluster to cause
the backend to syncronize its mailbox list with the mupdate master upon
startup).
.UNINDENT
.UNINDENT
.sp
.nf
\fBctl_mboxlist \-m \-w\fP
.fi
.INDENT 0.0
.INDENT 3.5
The same as above, but only show us what would be done, don\(aqt actually
do it.
.UNINDENT
.UNINDENT
.sp
.nf
\fBctl_mboxlist \-m \-a\fP
.fi
.INDENT 0.0
.INDENT 3.5
Populate the Mupdate server from our copy of the mailboxes database.
.sp
\fBNOTE:\fP
.INDENT 0.0
.INDENT 3.5
Be very careful with this option, as it can create conflicts in the
Murder.
.UNINDENT
.UNINDENT
.UNINDENT
.UNINDENT
.sp
.nf
\fBctl_mboxlist \-m \-i\fP
.fi
.INDENT 0.0
.INDENT 3.5
Synchronize our mailboxes database with the MUPDATE server interactively,
asking for verification before deleting any local mailboxes.
.UNINDENT
.UNINDENT
.SH FILES
.sp
/etc/imapd.conf, <configdirectory>/mailboxes.db
.SH SEE ALSO
.sp
imapd.conf(5), master(8)
.SH AUTHOR
The Cyrus Team, Nic Bernstein (Onlight), Jeroen van Meeuwen (Kolab Systems)
.SH COPYRIGHT
1993-2017, The Cyrus Team
.\" Generated by docutils manpage writer.
.
